"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _packingUrlrewrite = _interopRequireDefault(require("packing-urlrewrite"));

var _default = function _default(app) {
  if (process.env.DACE_PROXY) {
    var rules = {};

    try {
      rules = JSON.parse(process.env.DACE_PROXY);
      app.use((0, _packingUrlrewrite["default"])(rules));
    } catch (e) {
      throw new Error('[JSON.parse error] `DACE_PROXY` is an invalid json.');
    }
  }
};

exports["default"] = _default;
module.exports = exports.default;